SortedBiMultiValMap (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils

## Class SortedBiMultiValMap<K,V>

- java.lang.Object
- - org.apache.cassandra.utils.BiMultiValMap<K,V>
  - - org.apache.cassandra.utils.SortedBiMultiValMap<K,V>

- All Implemented Interfaces:
    java.util.Map<K,V>

      public class SortedBiMultiValMap<K,V>
      extends BiMultiValMap<K,V>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.utils.BiMultiValMap

      `forwardMap, reverseMap`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SortedBiMultiValMap(java.util.SortedMap<K,V> forwardMap, com.google.common.collect.SortedSetMultimap<V,K> reverseMap)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K extends java.lang.Comparable<K>,V extends java.lang.Comparable<V>> SortedBiMultiValMap<K,V>` | `create()`
    `static <K extends java.lang.Comparable<K>,V extends java.lang.Comparable<V>> SortedBiMultiValMap<K,V>` | `create(BiMultiValMap<K,V> map)`
    `static <K,V> SortedBiMultiValMap<K,V>` | `create(BiMultiValMap<K,V> map, java.util.Comparator<K> keyComparator, java.util.Comparator<V> valueComparator)`
    `static <K,V> SortedBiMultiValMap<K,V>` | `create(java.util.Comparator<K> keyComparator, java.util.Comparator<V> valueComparator)`

    - ### Methods inherited from class org.apache.cassandra.utils.BiMultiValMap

      `clear, containsKey, containsValue, entrySet, get, inverse, isEmpty, keySet, put, putAll, remove, removeValue, size, values, valueSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### SortedBiMultiValMap

          protected SortedBiMultiValMap(java.util.SortedMap<K,V> forwardMap,
                                        com.google.common.collect.SortedSetMultimap<V,K> reverseMap)

  - ### Method Detail

    - #### create

          public static <K extends java.lang.Comparable<K>,V extends java.lang.Comparable<V>> SortedBiMultiValMap<K,V> create()

    - #### create

          public static <K,V> SortedBiMultiValMap<K,V> create(java.util.Comparator<K> keyComparator,
                                                              java.util.Comparator<V> valueComparator)

    - #### create

          public static <K extends java.lang.Comparable<K>,V extends java.lang.Comparable<V>> SortedBiMultiValMap<K,V> create(BiMultiValMap<K,V> map)

    - #### create

          public static <K,V> SortedBiMultiValMap<K,V> create(BiMultiValMap<K,V> map,
                                                              java.util.Comparator<K> keyComparator,
                                                              java.util.Comparator<V> valueComparator)

Copyright © 2018 The Apache Software Foundation